"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var Job = (function () {
    function Job(name) {
        this.name = '';
        this.package = null;
        this.dockers = [];
        this.branches = [];
        this.requires = [];
        this.name = name;
    }
    Job.prototype.toPackageManagerCommandsWithCache = function () {
        if (!this.package) {
            return [];
        }
        switch (this.package) {
            case 'yarn':
                return [
                    {
                        restore_cache: {
                            keys: ['v2-dependencies-{{ checksum "yarn.lock" }}', 'v2-dependencies-'],
                        },
                    },
                    { run: 'yarn install' },
                    {
                        save_cache: {
                            paths: ['node_modules'],
                            key: 'v2-dependencies-{{ checksum "yarn.lock" }}',
                        },
                    },
                ];
            case 'npm':
                return [
                    {
                        restore_cache: {
                            keys: ['v2-dependencies-{{ checksum "package-lock.json" }}', 'v2-dependencies-'],
                        },
                    },
                    { run: 'npm install' },
                    {
                        save_cache: {
                            paths: ['node_modules'],
                            key: 'v2-dependencies-{{ checksum "package-lock.json" }}',
                        },
                    },
                ];
            default:
                throw new Error("sorry, specified package manager " + this.package + " is not implemented yet");
        }
    };
    Job.prototype.toConfig = function () {
        return {
            working_directory: '~/repo',
            steps: [
                'checkout'
            ].concat(this.toPackageManagerCommandsWithCache(), this.tasksLiteral
                .toString()
                .split('\n')
                .filter(function (t) { return Boolean(t.match(/[a-z]/)); })
                .map(function (t) { return ({
                run: t.trim(),
            }); })),
        };
    };
    Job.prototype.toWorkflowConfig = function () {
        var _a;
        if (this.branches.length === 0 && this.requires.length === 0) {
            return this.name;
        }
        var filterConfig = this.branches.length === 0
            ? {}
            : {
                filters: {
                    branches: {
                        only: this.branches,
                    },
                },
            };
        var requiresConfig = this.requires.length === 0
            ? {}
            : {
                requires: this.requires,
            };
        return _a = {},
            _a[this.name] = __assign({}, requiresConfig, filterConfig),
            _a;
    };
    return Job;
}());
exports.default = Job;
//# sourceMappingURL=Job.js.map