"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var _1 = __importDefault(require("."));
var yaml = require('js-yaml');
it('dumps correctly', function () {
    _1.default
        .docker('circleci/node:10.3.0', {
        environment: {
            TZ: '/usr/share/zoneinfo/Asia/Tokyo',
        },
    })
        .docker('postgres', {
        environment: {
            TZ: '/usr/share/zoneinfo/Africa/Abidjan',
        },
    });
    _1.default
        .define('graphdoc')
        .usePackage('yarn')
        .tasks(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n      yarn graphdoc\n    "], ["\n      yarn graphdoc\n    "])));
    _1.default
        .define('test')
        .usePackage('yarn')
        .branches('develop')
        .docker('nats')
        .tasks(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      yarn test\n    "], ["\n      yarn test\n    "])));
    _1.default
        .define('deploy')
        .usePackage('yarn')
        .branches('beta', 'master')
        .requires('test')
        .tasks(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      yarn deploy\n    "], ["\n      yarn deploy\n    "])));
    _1.default
        .define('publish')
        .usePackage('yarn')
        .branches('release')
        .requires('test', 'deploy')
        .tasks(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n      yarn publish\n    "], ["\n      yarn publish\n    "])));
    expect(_1.default.toConfig()).toEqual(yaml.safeLoad(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n    version: 2\n    jobs:\n      graphdoc:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn graphdoc\n      test:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n          - image: nats\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn test\n      deploy:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn deploy\n      publish:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn publish\n    workflows:\n      version: 2\n      master_jobs:\n        jobs:\n          - graphdoc\n          - test:\n              filters:\n                branches:\n                  only:\n                    - develop\n          - deploy:\n              requires:\n                - test\n              filters:\n                branches:\n                  only:\n                    - beta\n                    - master\n          - publish:\n              requires:\n                - test\n                - deploy\n              filters:\n                branches:\n                  only:\n                    - release\n      "], ["\n    version: 2\n    jobs:\n      graphdoc:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn graphdoc\n      test:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n          - image: nats\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn test\n      deploy:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn deploy\n      publish:\n        docker:\n          - image: 'circleci/node:10.3.0'\n            environment:\n              TZ: /usr/share/zoneinfo/Asia/Tokyo\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn publish\n    workflows:\n      version: 2\n      master_jobs:\n        jobs:\n          - graphdoc\n          - test:\n              filters:\n                branches:\n                  only:\n                    - develop\n          - deploy:\n              requires:\n                - test\n              filters:\n                branches:\n                  only:\n                    - beta\n                    - master\n          - publish:\n              requires:\n                - test\n                - deploy\n              filters:\n                branches:\n                  only:\n                    - release\n      "]))));
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
//# sourceMappingURL=index.test.js.map